import { IMTBLWidgetEvents, OnRampWidgetParams, WidgetProperties, WidgetType } from '@imtbl/checkout-sdk';
import { Base } from '../BaseWidgetRoot';
export declare class OnRamp extends Base<WidgetType.ONRAMP> {
    protected eventTopic: IMTBLWidgetEvents;
    protected getValidatedProperties({ config }: WidgetProperties<WidgetType.ONRAMP>): WidgetProperties<WidgetType.ONRAMP>;
    protected getValidatedParameters(params: OnRampWidgetParams): OnRampWidgetParams;
    private goBackEvent;
    protected render(): void;
}
